Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 6446

Summary: Can't enter additional groups that take up more than 200 characters
Product: [Retired] Red Hat Linux Reporter: web
Component: linuxconfAssignee: Michael K. Johnson <johnsonm>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 6.1CC: jack
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 1999-12-15 20:59:53 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description web 1999-10-28 04:33:18 UTC
when editing/adding normal users, the additional groups
field takes only 200 characters and truncates the rest, but
doenot show this in the field (you may type many more
characters than this) After removing groups over the 200
character limit and quiting/saving - the group file must be
edited manually to include the missing additional group
information.

Comment 1 Michael K. Johnson 1999-12-02 18:56:59 UTC
Jacques, I assume this was fixed along with the blank group
problem, correct?

Comment 2 Dale Lovelace 1999-12-02 20:14:59 UTC
This is (fixed?) in linuxconf-1.16r10. You can't type past 200 characters in the
"supplemental groups" field. This version of Linuxconf should be in the next
Rawhide release.

Comment 3 Michael K. Johnson 1999-12-02 21:31:59 UTC
Reopened until we actually release linuxconf-1.16r10-1 or later as an
errata update.

Comment 4 Michael K. Johnson 1999-12-03 01:37:59 UTC
Jacques says that the interface will change to be able to add more groups
in the future.  In linuxconf-1.16r10, the 200 character limit will be better
enforced so that typing won't be lost.  The short-term workaround is to use
groupmod until linuxconf has fuller support for editing group lists.

Note that NGROUP_MAX is set to 32 in Linux and is not likely to change in
the forseeable future, so a user can be in a maximum of 32 suplementary
groups.

Comment 5 Michael K. Johnson 1999-12-15 20:59:59 UTC
1.16r10-2 released